FROM node:10.15-alpine

WORKDIR /app

RUN apk add --update-cache python make g++

COPY package.json .
COPY yarn.lock .

RUN yarn install

COPY docker/healthcheck.ts healthcheck.ts
COPY tsconfig.json .
COPY ./src ./src

ENV PORT=3000

EXPOSE 3000

HEALTHCHECK --interval=10s --timeout=5s --start-period=5s --retries=3 CMD [ "node", "-r", "ts-node/register", "healthcheck.ts" ]

CMD ["yarn", "start"]